Support Center > Search Results > SecureKnowledge Details
"Failed to install package. Aborting Installation Program." error during installation of a newer take of a Jumbo Hotfix Accumulator using Legacy CLI
Symptoms
  • "Failed to install package. Aborting Installation Program." error during installation of a newer take of a Jumbo Hotfix Accumulator using Legacy CLI.

    Example:

    Installation program is about to stop all Check Point Processes.
    Do you want to continue (y/n) ? y
    Stopping Check Point Processes...Done!
    Installing Security Gateway / Security Management R77_20_JUMBO_HF...Error, Installation of Security Gateway / Security Management R77_20_JUMBO_HF package failed!!!
    Failed to install package. Aborting Installation Program.
    For additional information please refer to:
    /opt/CPInstLog/Installation_R77_20_JUMBO_HF.elg
  • /opt/CPInstLog/MiniWrapper.elg shows "HotFix is already installed by CPUSE".

    Example:

    [MiniWrapper 11496][22 Jul 9:55:10] about to install package t_path=|/var/tmp//hotfixes/CPppakR77.10
    [MiniWrapper 11496] [22 Jul 9:55:10] >Enter MINIWRPSCRPIT_InstallUnixPkg
    [MiniWrapper 11496] [22 Jul 9:55:10] MINIWRPSCRPIT_InstallUnixPkg:: parmas are: t_path=|/var/tmp//hotfixes/CPppakR77.10| HF_Flag=|1|
    [MiniWrapper 11496] [22 Jul 9:55:10] MINIWRPSCRPIT_InstallUnixPkg:: about to install HFA/HOTFIX package
    [MiniWrapper 11496] [22 Jul 9:55:10] MINIWRPSCRPIT_InstallUnixPkg:: about to extract |sim_HOTFIX_GYPSY_HF_BASE_021.tgz| to |/var/opt/cp_tmp|
    [MiniWrapper 11496] [22 Jul 9:55:10] MINIWRPSCRPIT_InstallUnixPkg:: t_command is |./sim_HOTFIX_GYPSY_HF_BASE_021_990021009_1 -SU |
    [MiniWrapper 11496] [22 Jul 9:55:11] MINIWRPSCRPIT_InstallUnixPkg:: output is:
    Verifying Performance Pack R77.10 is indeed installed...
    Verifying Performance Pack R77.10 GYPSY_HF_BASE_021 is not already installed...
    HotFix is already installed by CPUSE.
    Please use CPUSE to install/uninstall this HotFix version.
Cause

A previous Take of Jumbo Hotfix Accumulator was installed using CPUSE (Check Point Update Service Engine), while this Take is being installed using Legacy CLI.

Refer to sk107320 - How to know if a hotfix on Gaia OS was installed via CPUSE of via Legacy CLI:

  • When running CPUSE Agent build 1127 and above:
    • If the previous Take of Jumbo Hotfix Accumulator was installed using Legacy CLI, then the next Take can be installed using the CPUSE.
    • If the previous Take of Jumbo Hotfix Accumulator was installed using CPUSE, then all subsequent Takes must also be installed using CPUSE.
  • When running CPUSE Agent build 1005 and lower:
    All Takes of Jumbo Hotfix Accumulator must be installed in the same way:
    • If the Jumbo Hotfix Accumulator was installed for the first time using CPUSE, then all subsequent Takes must also be installed using CPUSE.
    • If the Jumbo Hotfix Accumulator was installed for the first time using Legacy CLI, then all subsequent Takes must also be installed using Legacy CLI.

Solution
Note: To view this solution you need to Sign In .